#include <bits/stdc++.h>

using namespace std;
int pos[10];
vector <int> v;

void ispis()
{
	for(auto x:v)
	{
		cout << x << " ";
	}
	exit(0);
}

int main()
{
	ios_base::sync_with_stdio(false);
	int n;
	cin >> n;
	for(int i = 0; i < 10; i++)pos[i]=-1;
	for(int i = 0; i < n; i++)
	{
		int x;
		cin >> x;
		v.push_back(x);
		pos[x]=i;
	}
	for(int i = 0; i < n; i++)
	{
		for(int j = 9; j > v[i]; j--)
		{
			if(i<pos[j]){swap(v[i],v[pos[j]]);ispis();}
		}
	}
	ispis();
	return 0;
}